<?php
#Version:	1.0.0.1
#Author:  	Luke Morrison
#Date Created:	July 8/2008
#Date last updated: January 18, 2011
#Modified by:   David Dumke
#Description:  Created to retrieve the packing list from a given tgz file

$VERSION = '1.0.0.2';
$NAME = 'GetPackingList';

$opType = $_GET["type"];
if($opType == 'get')
{
    getPackingList();
    exit;
}
elseif($opType == 'version')
{
   getVersion();
   exit;
}
else
{
    printf("Unkown operation type: %s.", $opType);
    exit;
}

printf("Error! You should not make it to this point in the code.");
exit;

/******************************************************************************/
function getVersion()
{
    global $VERSION;
    global $NAME;
        
    $xmlStringToSend = "";
    
    $xmlStringToSend = $xmlStringToSend."<?xml version=\"1.0\" encoding=\"utf-\"?>\n";
    $xmlStringToSend = $xmlStringToSend."<ScriptInfo>\n";

    $xmlStringToSend = $xmlStringToSend."\t<Version>".$VERSION."</Version>\n";
  	$xmlStringToSend = $xmlStringToSend."\t<Name>".$NAME."</Name>\n";
    
    $xmlStringToSend = $xmlStringToSend."</ScriptInfo>";
    printf("%s", $xmlStringToSend);
} // END OF getVersion() 
/******************************************************************************/
function getPackingList()
{
    $filename = $_GET["filename"];
    $filepath = escapeshellarg($filename);
    $ret_val = 1;
    $output_string = "";
    exec('tar -xzOf '.$filepath.' packing_list.xml', $output_string, $ret_val);
    if($ret_val != 0)
    {
    	echo 'Error reading packing list: '.$filepath;
    	exit;
    }
    else
    {
    	for($i = 0; $i < sizeof($output_string); $i = $i + 1)
    	{
    		echo $output_string[$i];
    	}
    }
    if(isset($output_string))
    {
	$output_string = null;
    }
} // END OF getPackingList()   
/******************************************************************************/
?>

